- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# digital_ocean_load_balancer_info – Gather information about DigitalOcean load balancers

New in version 2.6.

- Synopsis
- Requirements
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to gather information about DigitalOcean provided load balancers.
- This module was called `digital_ocean_load_balancer_facts` before Ansible 2.9. The usage did not change.

Aliases: digital_ocean_load_balancer_facts

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
load_balancer_id - |  | Load balancer ID that can be used to identify and reference a load_balancer.
oauth_token string |  | DigitalOcean OAuth token. There are several other environment variables which can be used to provide this value. i.e., - 'DO_API_TOKEN', 'DO_API_KEY', 'DO_OAUTH_TOKEN' and 'OAUTH_TOKEN' aliases: api_token
timeout integer | Default: 30 | The timeout in seconds used for polling DigitalOcean's API.
validate_certs boolean | Choices: no yes ← | If set to `no`, the SSL certificates will not be validated. This should only set to `no` used on personally controlled sites using self-signed certificates.

## Examples

    - name: Gather information about all load balancers
      digital_ocean_load_balancer_info:
        oauth_token: "{{ oauth_token }}"

    - name: Gather information about load balancer with given id
      digital_ocean_load_balancer_info:
        oauth_token: "{{ oauth_token }}"
        load_balancer_id: "4de7ac8b-495b-4884-9a69-1050c6793cd6"

    - name: Get name from load balancer id
      digital_ocean_load_balancer_info:
      register: resp_out
    - set_fact:
        load_balancer_name: "{{ item.name }}"
      loop: "{{ resp_out.data|json_query(name) }}"
      vars:
        name: "[?id=='4de7ac8b-495b-4884-9a69-1050c6793cd6']"
    - debug: var=load_balancer_name

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data list | success | DigitalOcean Load balancer information Sample: [{'id': '4de7ac8b-495b-4884-9a69-1050c6793cd6', 'name': 'example-lb-01', 'ip': '104.131.186.241', 'algorithm': 'round_robin', 'status': 'new', 'created_at': '2017-02-01T22:22:58Z', '...': None}]

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Abhijeet Kasurde (@Akasurde)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.